org.apache.ignite.internal.visor.query

## Class VisorScanQueryTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorScanQueryTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorScanQueryTaskArg
    extends VisorDataTransferObject

Arguments for `VisorScanQueryTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorScanQueryTaskArg()` Default constructor.
`VisorScanQueryTaskArg(String cacheName, String filter, boolean regEx, boolean caseSensitive, boolean near, boolean loc, int pageSize)`

### Method Summary

Methods
`String` `getCacheName()`
`String` `getFilter()`
`int` `getPageSize()`
`boolean` `isCaseSensitive()`
`boolean` `isLocal()`
`boolean` `isNear()`
`boolean` `isRegEx()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorScanQueryTaskArg

    public VisorScanQueryTaskArg()

Default constructor.

#### VisorScanQueryTaskArg

    public VisorScanQueryTaskArg(String cacheName,
                         String filter,
                         boolean regEx,
                         boolean caseSensitive,
                         boolean near,
                         boolean loc,
                         int pageSize)

Parameters:
  `cacheName` - Cache name for query.
  `filter` - Filter text.
  `regEx` - Filter is regular expression.
  `caseSensitive` - Case sensitive filtration.
  `near` - Scan near cache.
  `loc` - Flag whether to execute query locally.
  `pageSize` - Result batch size.

### Method Detail

#### getCacheName

    public String getCacheName()

Returns:
  Cache name.

#### isRegEx

    public boolean isRegEx()

Returns:
  Filter is regular expression.

#### getFilter

    public String getFilter()

Returns:
  Filter.

#### isCaseSensitive

    public boolean isCaseSensitive()

Returns:
  Case sensitive filtration.

#### isNear

    public boolean isNear()

Returns:
  Scan of near cache.

#### isLocal

    public boolean isLocal()

Returns:
  `true` if query should be executed locally.

#### getPageSize

    public int getPageSize()

Returns:
  Page size.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017